/**
 * 控制柜设备参数
 */
export const enum DevParamCtrlCabinet {
  冷冻总管出水温度 = 'chilledWaterMainTempOut',
  冷冻总管回水温度 = 'chilledWaterMainTempIn',
  冷冻总管出水压力 = 'chilledWaterMainPreOut',
  冷冻总管回水压力 = 'chilledWaterMainPreIn',
  冷却总管出水温度 = 'coolingWaterMainTempOut',
  冷却总管回水温度 = 'coolingWaterMainTempIn',
  系统控制模式设定 = 'systemControlModeSet',
  冷机出水温度 = 'chilledWaterMainTempOutSet',
  加机温差 = 'plusChillerTempDiffSet',
  减机温差 = 'minusChillerTempDiffSet',
  加机负载率 = 'plusChillerLoadPercentSet',
  减机负载率 = 'minusChillerLoadPercentSet',
  加机延时1 = 'plusChillerDelayFisrtSet',
  减机延时 = 'minusChillerDelaySet',
  加机延时2 = 'plusChillerDelaySecondSet',
  塔出水温度 = 'coolingWaterMainTempInSet',
  加塔温差 = 'plusTowerTempDiffSet',
  减塔温差 = 'minusTowerTempDiffSet',
  加塔频率 = 'plusTowerFrequencySet',
  减塔频率 = 'minusTowerFrequencySet',
  加塔延时 = 'plusTowerDelaySet',
  减塔延时 = 'minusTowerDelaySet',
}

/**
 * 冷却塔设备参数
 */
export const enum DevParamCoolingTower {
  本地远程状态 = 'localRemoteStatus',
  有功功率 = 'outputActivePower',
  频率反馈 = 'frequencyFb',
  运行时间 = 'runHours',
}

/**
 * 冷却泵设备参数
 */
export const enum DevParamCoolingPump {
  本地远程状态 = 'localRemoteStatus',
  有功功率 = 'outputActivePower',
  频率反馈 = 'frequencyFb',
  运行时间 = 'runHours',
}

/**
 * 冷水主机设备参数
 */
export const enum DevParamChillerUnit {
  COP = 'COP',
  制冷量 = 'coolingCapacity',
  有功功率 = 'outputActivePower',
  负载率 = 'loadRatio',
  负载率限制设定值 = 'loadRatioLimitSet',
  冷冻水出水温度设定值 = 'evapWaterTempOutSet',
  冷冻水出水温度设定值反馈 = 'evapWaterTempOutSetFb',
  今日耗电量 = 'energyToday',
  本月耗电量 = 'energyMonth',
  冷冻水回水温度 = 'evapWaterTempIn',
  冷冻水出水温度 = 'evapWaterTempOut',
  蒸发压力 = 'cirEvapPre',
  蒸发温度 = 'cirEvapTemp',
  冷却水回水温度 = 'condWaterTempIn',
  冷却水出水温度 = 'condWaterTempOut',
  冷凝压力 = 'cirCondPre',
  冷凝温度 = 'cirCondTemp',
  排气温度 = 'cirCompDisTemp',
  吸气温度 = 'cirCompSucTemp',
}
