import { createApp } from 'vue';
import { createPinia } from 'pinia';

import App from './App.vue';
import i18n from './i18n';
import router from './router';

import 'simplebar-vue/dist/simplebar.min.css';
import 'ant-design-vue/dist/reset.css';
import 'virtual:uno.css';
import './styles/global.scss';

const app = createApp(App);
const pinia = createPinia();

app.use(pinia);
app.use(router);
app.use(i18n);

app.mount('#app');
